#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my %scriptsec=map {$_=>1} qw/pre post preun postun
        triggerin triggerun triggerpostin triggerpostun/;
    foreach my $section ($spec->get_sections()) {
	my $secname=$section->get_type();
	next unless $scriptsec{$secname};
	&_postclean_from_section($spec,$section,'(?<!%)%\{?update_menus\}?');
	&_postclean_from_section($spec,$section,'(?<!%)%\{?clean_menus\}?');
	&_postclean_from_section($spec,$section,'(?<!%)%\{?post_ldconfig\}?');
	&_postclean_from_section($spec,$section,'(?<!%)%\{?postun_ldconfig\}?');
	&_postclean_from_section($spec,$section,'(?<!%)%\{?post_fonts\}?');
	&_postclean_from_section($spec,$section,'(?<!%)%\{?postun_fonts\}?');
    }
};

sub _postclean_from_section {
    my ($spec,$section,$cmd) = @_;
    $section->subst(qr"^\s*$cmd\s*\n?$",''); #"
    $section->subst(qr"$cmd(?:\s*\n?$)?",'');
    if ($section->is_empty()) {
	$spec->del_section($section);
    }
};


1;
